/*

./main_srv -- -ORBInitRef NameService=corbaloc:iiop:127.0.0.1:2809/NameService

 */

#include <rtt/os/main.h>
#include <rtt/Activity.hpp>

#include <rtt/transports/corba/TaskContextServer.hpp>

#include "common.hpp"

using namespace RTT;
using namespace RTT::corba;

int ORO_main(int argc, char** argv)
{
  Foo foo("Foo");
  foo.setActivity( new RTT::Activity( 5, 4 ));

  foo.configure();
  foo.start();

  //test_props(foo);
  test_ports(foo);

  TaskContextServer::InitOrb(argc, argv);

  TaskContextServer::ThreadOrb();

  TaskContextServer::Create( &foo );

  TaskContextServer::RunOrb();
      
  TaskContextServer::ShutdownOrb(true);

  TaskContextServer::DestroyOrb();

  return 0;
} 
