/*

./main_clt -- -ORBInitRef NameService=corbaloc:iiop:127.0.0.1:2809/NameService

 */

#include <rtt/os/main.h>

#include <rtt/transports/corba/TaskContextProxy.hpp>

#include "common.hpp"

using namespace RTT::corba;
using namespace RTT;

int ORO_main(int argc, char** argv)
{

  // Setup Corba:
  TaskContextProxy::InitOrb(argc, argv);
  
  // Get a pointer to the component above
  TaskContext* component = TaskContextProxy::Create( "Foo" );

  //test_props(*component);
  test_ports(*component);

  // Cleanup Corba:
  TaskContextProxy::DestroyOrb();

  return 0;
} 
